﻿namespace PaintShopSchedulingCarrierChangeOptimizer
{
    /// <summary>
    /// Provides methods for carrier change evaluation between two rounds.
    /// </summary>
    public interface ICarrierChangeEvaluator
    {
        /// <summary>
        /// Calculates the number of optimized carrier changes for for two given rounds <paramref name="currentRound"/> and <paramref name="nextRound"/>.
        /// </summary>
        /// <param name="currentRound">Object containing information about the current round.</param>
        /// <param name="nextRound">Object containing information about the next round.</param>
        /// <returns>An object which contains the number of determined carrier removals and carrier insertions.</returns>
        INumberOfCarrierChanges EvaluateNumberOfChanges(IRoundInformation currentRound,
            IRoundInformation nextRound);
    }
}
