﻿using System.Collections.Generic;

namespace PaintShopSchedulingSimpleTypes
{
    /// <summary>
    /// Serializes and deserializes simple instance and simple solution objects from and to strings
    /// </summary>
    public interface ISimpleInstanceStringSerializer
    {
        /// <summary>
        /// Deserializes a given string to an algorithm solution object.
        /// </summary>
        /// <param name="instance">The instance associated to the solution</param>
        /// <param name="serializedSolution">Serialized solution string</param>
        /// <returns>The deserialized solution object</returns>
        ISimpleSolution DeserializeSolutionFromString(SimpleInstance instance, string serializedSolution);

        /// <summary>
        /// Deserializes a given string to an algorithm instance object.
        /// </summary>
        /// <param name="serializedInstance">Serialized instance string</param>
        /// <returns>The deserialized instance file</returns>
        SimpleInstance DeserializeInstanceFromString(string serializedInstance);
    }
}