﻿using System.Collections.Generic;

namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// A valid Configuration for a CarrierType, describing how much of a specific material can be carried at once.
    /// </summary>
    public class SimpleCarrierConfiguration
    {
        public readonly int Id;
        public readonly ICollection<SimpleMaterialCapacity> MaterialCapacities;

        public SimpleCarrierConfiguration(int id, IEnumerable<SimpleMaterialCapacity> capacities = null)
        {
            Id = id;
            MaterialCapacities = (capacities != null) ? new List<SimpleMaterialCapacity>(capacities) : new List<SimpleMaterialCapacity>();
        }
    }
}
