﻿namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Describes the necessity for having a couple of carriers in between the switch from one specific Color to another.
    /// </summary>
    public class SimpleForbiddenColorSequence
    {
        public readonly SimpleColor FromColor;
        public readonly SimpleColor ToColor;
        public readonly int MinimumCarriersInBetween;

        public SimpleForbiddenColorSequence(SimpleColor fromColor, SimpleColor toColor, int minCarriersInbetween)
        {
            FromColor = fromColor;
            ToColor = toColor;
            MinimumCarriersInBetween = minCarriersInbetween;
        }
    }
}
