﻿using System.Collections.Generic;
using PaintShopSchedulingSimpleTypes;
using PaintShopSchedulingSimpleTypes.SimpleTypes;

namespace SimpleSolutionValidator.SolutionEvaluator
{
    /// <summary>
    /// Evaluates given candidate solution regarding forbidden color sequences.
    /// </summary>
    public interface IForbiddenColorSequencesEvaluator
    {
        /// <summary>
        /// Evaluates given candidate solution regarding forbidden color sequences.
        /// </summary>
        /// <param name="forbiddenColorSequences">Collection containing all forbidden color sequences.</param>
        /// <param name="solution">Solution that should be evaluated.</param>
        void Evaluate(ICollection<SimpleForbiddenColorSequence> forbiddenColorSequences, ISimpleSolution solution);

        /// <summary>
        /// Returns the total amount of violations in the last evaluation.
        /// </summary>
        int GetTotalViolations();
        
        /// <summary>
        /// Returns the violations per round from the last evaluation.
        /// </summary>
        IList<int> GetViolationsPerRound();
    }
}