﻿using System.Collections.Generic;
using PaintShopSchedulingSimpleTypes;

namespace SimpleSolutionValidator.SolutionEvaluator
{
    /// <summary>
    /// Evalutes the number of carriers in a given solution.
    /// </summary>
    public interface INumberOfCarriersEvaluator
    {
        /// <summary>
        /// Evaluate the number of carriers in a given solution.
        /// </summary>
        /// <param name="solution">The solution that should be evaluated.</param>
        void Evaluate(ISimpleSolution solution);

        /// <summary>
        /// Gets the total number of carriers
        /// </summary>
        int GetTotalNumberOfCarriers();

        /// <summary>
        /// Gets the number of carriers for each round 
        /// </summary>
        IList<int> GetNumberOfCarriersPerRound();
    }
}
