﻿using System.Collections.Generic;
using PaintShopSchedulingSimpleTypes;

namespace SimpleSolutionValidator.SolutionEvaluator
{
    public class NumberOfCarriersEvaluator : INumberOfCarriersEvaluator
    {
        private int _totalNumberOfCarriers = -1;
        private IList<int> _numberOfCarriersPerRound;


        public void Evaluate(ISimpleSolution solution)
        {
            _totalNumberOfCarriers = 0;
            _numberOfCarriersPerRound = new List<int>();

            for (int roundIndex = 0; roundIndex < solution.NumberOfRounds; roundIndex++) {
                int numberOfCarriersInRound = solution.GetNumberOfCarriersInRound(roundIndex);

                _totalNumberOfCarriers += numberOfCarriersInRound;
                _numberOfCarriersPerRound.Add(numberOfCarriersInRound);
            }

        }

        public int GetTotalNumberOfCarriers()
        {
            return _totalNumberOfCarriers;
        }

        public IList<int> GetNumberOfCarriersPerRound()
        {
            return _numberOfCarriersPerRound;
        }
    }
}
